import os
import shutil

def main():
    try:
        os.remove("angle_b.mcfunction")
        shutil.rmtree("binangle")
    except:
        pass
    os.mkdir("binangle")
    f = open("angle_b.mcfunction", "w+")
    f.write("scoreboard players reset @s theta \n")
    f.write("scoreboard players reset @s phi \n")

    split_theta(range(0,360),f)
    split_phi(range(-90,91),f)

    f.close




def split_theta(arr,f):
    if(len(arr)<5):
        for a in arr:
            f.write("scoreboard players set @s[rym="+str(a)+",ry="+str(a)+"] theta "+str(a)+"\n")
        f.close()
        return
    else:
        a = str(arr[0])
        b = str(arr[:len(arr)//2][-1])
        c = str(arr[len(arr)//2:][0])
        d = str(arr[-1])
        name_1 = "binangle/theta"+ a + "_" + b
        f_1 = open(name_1 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function coords:"+name_1+" if @s[rym="+ a +",ry="+ b +"]\n")

        split_theta(arr[:len(arr)//2],f_1)

        name_2 = "binangle/theta"+ c + "_" + d
        f_2 = open(name_2 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function coords:"+name_2+" if @s[rym="+ c +",ry="+ d +"]\n")

        split_theta(arr[len(arr)//2:],f_2)

def split_phi(arr,f):
    if(len(arr)<5):
        for a in arr:
            f.write("scoreboard players set @s[rxm="+str(a)+",rx="+str(a)+"] phi "+str(a+90)+"\n")
        f.close()
        return
    else:
        a = str(arr[0])
        b = str(arr[:len(arr)//2][-1])
        c = str(arr[len(arr)//2:][0])
        d = str(arr[-1])
        name_1 = "binangle/phi"+ a + "_" + b
        f_1 = open(name_1 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function coords:"+name_1+" if @s[rxm="+ a +",rx="+ b +"]\n")

        split_phi(arr[:len(arr)//2],f_1)

        name_2 = "binangle/phi"+ c + "_" + d
        f_2 = open(name_2 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function coords:"+name_2+" if @s[rxm="+ c +",rx="+ d +"]\n")

        split_phi(arr[len(arr)//2:],f_2)


main()
