"""
import os
import math

try:
    os.remove("gen.mcfunction")
except:
    pass
f = open("gen.mcfunction", "w+")

for a in range(0,360):
    s = format(math.sin(math.radians(a))*1000, ".0f")
    f.write("scoreboard players set @s[score_math_sin_min="+str(a)+",score_math_sin="+str(a)+"] math_result "+ s +"\n")

f.write("\n\n\n")

for a in range(0,360):
    s = format(math.cos(math.radians(a))*1000, ".0f")
    f.write("scoreboard players set @s[score_math_cos_min="+str(a)+",score_math_cos="+str(a)+"] math_result "+ s +"\n")

f.close()
"""



import os
import shutil
import math

def main():
    try:
        os.remove("sin.mcfunction")
        os.remove("cos.mcfunction")
        shutil.rmtree("bintrig")
    except:
        pass
    os.mkdir("bintrig")

    f = open("sin.mcfunction", "w+")
    split_sin(range(0,360),f)
    f.close

    f = open("cos.mcfunction", "w+")
    split_cos(range(0,360),f)
    f.close


def split_sin(arr,f):
    if(len(arr)<5):
        for a in arr:
            s = format(math.sin(math.radians(a))*1000, ".0f")
            f.write("scoreboard players set @s[score_math_sin_min="+str(a)+",score_math_sin="+str(a)+"] math_result "+s+"\n")
        f.close()
        return
    else:
        a = str(arr[0])
        b = str(arr[:len(arr)//2][-1])
        c = str(arr[len(arr)//2:][0])
        d = str(arr[-1])
        name_1 = "bintrig/sin"+ a + "_" + b
        f_1 = open(name_1 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function math:"+name_1+" if @s[score_math_sin_min="+ a +",score_math_sin="+ b +"]\n")

        split_sin(arr[:len(arr)//2],f_1)

        name_2 = "bintrig/sin"+ c + "_" + d
        f_2 = open(name_2 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function math:"+name_2+" if @s[score_math_sin_min="+ c +",score_math_sin="+ d +"]\n")

        split_sin(arr[len(arr)//2:],f_2)

def split_cos(arr,f):
    if(len(arr)<5):
        for a in arr:
            s = format(math.cos(math.radians(a))*1000, ".0f")
            f.write("scoreboard players set @s[score_math_cos_min="+str(a)+",score_math_cos="+str(a)+"] math_result "+s+"\n")
        f.close()
        return
    else:
        a = str(arr[0])
        b = str(arr[:len(arr)//2][-1])
        c = str(arr[len(arr)//2:][0])
        d = str(arr[-1])
        name_1 = "bintrig/cos"+ a + "_" + b
        f_1 = open(name_1 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function math:"+name_1+" if @s[score_math_cos_min="+ a +",score_math_cos="+ b +"]\n")

        split_cos(arr[:len(arr)//2],f_1)

        name_2 = "bintrig/cos"+ c + "_" + d
        f_2 = open(name_2 +".mcfunction","w+")
        f.write("execute @s ~ ~ ~ /function math:"+name_2+" if @s[score_math_cos_min="+ c +",score_math_cos="+ d +"]\n")

        split_cos(arr[len(arr)//2:],f_2)


main()
